Bug 463424 - speedtouch modprobe fails
speedtouch modprobe fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 08:09 EDT by lejeczek
Modified: 2009-12-18 01:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2008-09-23 08:09:37 EDT
Description of problem:
on 2.6.27-0.329.rc6.git2.fc10.x86_64 speedtouch rev. 4.0 fails
cheers

Version-Release number of selected component (if applicable):
2.6.27-0.329.rc6.git2.fc10.x86_64

How reproducible:


Steps to Reproduce:
1. plug any speedtouch modem in (tried two)
2.
3.
  
Actual results:

WARNING: at kernel/mutex.c:135 __mutex_lock_common+0xbb/0x362() (Not tainted)
Modules linked in: speedtch(+) usbatm atm nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ipv6 dgcusbdcp nf_conntrack_ftp ipt_REJECT xt_tcpudp nf_conntrack_ipv4 xt_state nf_conntrack iptable_filter ip_tables x_tables xfs dm_mirror dm_log dm_multipath dm_mod raid0 snd_aw2 ves1x93 ppdev snd_hda_intel dvb_ttpci pcspkr i2c_i801 dvb_core saa7146_vv saa7146 videobuf_dma_sg videobuf_core videodev v4l1_compat snd_seq_dummy ttpci_eeprom i2c_core iTCO_wdt usb_storage iTCO_vendor_support snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss parport_pc snd_pcm parport snd_timer snd_page_alloc snd_hwdep snd soundcore r8169 pata_acpi ata_generic ata_piix ext3 jbd mbcache [last unloaded: microcode]
Pid: 4403, comm: modprobe Not tainted 2.6.27-0.329.rc6.git2.fc10.x86_64 #1

Call Trace:
 [<ffffffff8104583e>] warn_on_slowpath+0x65/0x9a
 [<ffffffff81066b05>] ? trace_hardirqs_off_caller+0x21/0xa4
 [<ffffffff81066b05>] ? trace_hardirqs_off_caller+0x21/0xa4
 [<ffffffff81066b95>] ? trace_hardirqs_off+0xd/0xf
 [<ffffffff813238d7>] ? _spin_unlock_irqrestore+0x45/0x5c
 [<ffffffff81045e20>] ? release_console_sem+0x1d0/0x1dc
 [<ffffffff81322093>] __mutex_lock_common+0xbb/0x362
 [<ffffffffa078810d>] ? usbatm_usb_disconnect+0x97/0x2b6 [usbatm]
 [<ffffffff81320db7>] ? printk+0x41/0x4a
 [<ffffffff813223f2>] mutex_lock_nested+0x3a/0x3f
 [<ffffffffa078810d>] usbatm_usb_disconnect+0x97/0x2b6 [usbatm]
 [<ffffffff8123975c>] usb_unbind_interface+0x69/0xcb
 [<ffffffff811f5d45>] __device_release_driver+0xa4/0xcd
 [<ffffffff811f5e5d>] device_release_driver+0x26/0x33
 [<ffffffff81239811>] usb_driver_release_interface+0x53/0xa2
 [<ffffffff81239946>] usb_forced_unbind_intf+0x49/0x52
 [<ffffffff81230f58>] usb_reset_device+0xab/0x149
 [<ffffffff81236707>] ? usb_init_urb+0x27/0x38
 [<ffffffffa079f981>] speedtch_bind+0x5d3/0x647 [speedtch]
 [<ffffffff8116bc88>] ? snprintf+0x34/0x36
 [<ffffffffa0789184>] usbatm_usb_probe+0x1d0/0x813 [usbatm]
 [<ffffffffa079e015>] speedtch_usb_probe+0x15/0x17 [speedtch]
 [<ffffffff812393f2>] usb_probe_interface+0x162/0x19f
 [<ffffffff811f6052>] driver_probe_device+0xc5/0x173
 [<ffffffff811f6154>] __driver_attach+0x54/0x7e
 [<ffffffff811f6100>] ? __driver_attach+0x0/0x7e
 [<ffffffff811f587a>] bus_for_each_dev+0x57/0x91
 [<ffffffff811f5e8b>] driver_attach+0x21/0x23
 [<ffffffff811f5150>] bus_add_driver+0xbf/0x20c
 [<ffffffff811f636e>] driver_register+0xb0/0x130
 [<ffffffff8123968f>] usb_register_driver+0xaa/0x10e
 [<ffffffffa0167000>] ? speedtch_usb_init+0x0/0x48 [speedtch]
 [<ffffffffa0167046>] speedtch_usb_init+0x46/0x48 [speedtch]
 [<ffffffff8100a05c>] do_one_initcall+0x4c/0x156
 [<ffffffff81067b17>] ? trace_hardirqs_on_caller+0x10f/0x133
 [<ffffffff81072363>] sys_init_module+0xb0/0x1c1
 [<ffffffff8101138a>] system_call_fastpath+0x16/0x1b

---[ end trace ae9cd69bbf2596af ]---
BUG: unable to handle kernel NULL pointer dereference at 0000000000000000
IP: [<ffffffff811704cb>] __list_add+0x42/0x87
PGD 67d09067 PUD 67d89067 PMD 0 
Oops: 0000 [1] SMP DEBUG_PAGEALLOC
CPU 0 
Modules linked in: speedtch(+) usbatm atm nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ipv6 dgcusbdcp nf_conntrack_ftp ipt_REJECT xt_tcpudp nf_conntrack_ipv4 xt_state nf_conntrack iptable_filter ip_tables x_tables xfs dm_mirror dm_log dm_multipath dm_mod raid0 snd_aw2 ves1x93 ppdev snd_hda_intel dvb_ttpci pcspkr i2c_i801 dvb_core saa7146_vv saa7146 videobuf_dma_sg videobuf_core videodev v4l1_compat snd_seq_dummy ttpci_eeprom i2c_core iTCO_wdt usb_storage iTCO_vendor_support snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss parport_pc snd_pcm parport snd_timer snd_page_alloc snd_hwdep snd soundcore r8169 pata_acpi ata_generic ata_piix ext3 jbd mbcache [last unloaded: microcode]
Pid: 4403, comm: modprobe Tainted: G        W 2.6.27-0.329.rc6.git2.fc10.x86_64 #1
RIP: 0010:[<ffffffff811704cb>]  [<ffffffff811704cb>] __list_add+0x42/0x87
RSP: 0018:ffff8800679ad968  EFLAGS: 00010046
RAX: 0000000000000000 RBX: ffff880078953ac0 RCX: ffff880078953a80
RDX: ffff880078953ac0 RSI: 0000000000000000 RDI: ffff8800679ad9d8
RBP: ffff8800679ad988 R08: 0000000000000002 R09: 0000000000000001
R10: ffffffff81326ef4 R11: ffff8800679ad6c8 R12: 0000000000000000
R13: ffff8800679ad9d8 R14: ffff8800678f22d0 R15: ffff880078953ae8
FS:  00007fde3a3ce6f0(0000) GS:ffffffff816aaa00(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 00000000774cd000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process modprobe (pid: 4403, threadinfo ffff8800679ac000, task ffff8800678f22d0)
Stack:  ffff880078953a80 ffffffffffffffff ffff880078953a80 0000000000000246
 ffff8800679ada38 ffffffff813220f6 ffffffffa078810d 0000000000000296
 ffff8800679ad9b8 ffffffffa078810d 00000000679ad9d8 0000000000000002
Call Trace:
 [<ffffffff813220f6>] __mutex_lock_common+0x11e/0x362
 [<ffffffffa078810d>] ? usbatm_usb_disconnect+0x97/0x2b6 [usbatm]
 [<ffffffffa078810d>] ? usbatm_usb_disconnect+0x97/0x2b6 [usbatm]
 [<ffffffff81320db7>] ? printk+0x41/0x4a
 [<ffffffff813223f2>] mutex_lock_nested+0x3a/0x3f
 [<ffffffffa078810d>] usbatm_usb_disconnect+0x97/0x2b6 [usbatm]
 [<ffffffff8123975c>] usb_unbind_interface+0x69/0xcb
 [<ffffffff811f5d45>] __device_release_driver+0xa4/0xcd
 [<ffffffff811f5e5d>] device_release_driver+0x26/0x33
 [<ffffffff81239811>] usb_driver_release_interface+0x53/0xa2
 [<ffffffff81239946>] usb_forced_unbind_intf+0x49/0x52
 [<ffffffff81230f58>] usb_reset_device+0xab/0x149
 [<ffffffff81236707>] ? usb_init_urb+0x27/0x38
 [<ffffffffa079f981>] speedtch_bind+0x5d3/0x647 [speedtch]
 [<ffffffff8116bc88>] ? snprintf+0x34/0x36
 [<ffffffffa0789184>] usbatm_usb_probe+0x1d0/0x813 [usbatm]
 [<ffffffffa079e015>] speedtch_usb_probe+0x15/0x17 [speedtch]
 [<ffffffff812393f2>] usb_probe_interface+0x162/0x19f
 [<ffffffff811f6052>] driver_probe_device+0xc5/0x173
 [<ffffffff811f6154>] __driver_attach+0x54/0x7e
 [<ffffffff811f6100>] ? __driver_attach+0x0/0x7e
 [<ffffffff811f587a>] bus_for_each_dev+0x57/0x91
 [<ffffffff811f5e8b>] driver_attach+0x21/0x23
 [<ffffffff811f5150>] bus_add_driver+0xbf/0x20c
 [<ffffffff811f636e>] driver_register+0xb0/0x130
 [<ffffffff8123968f>] usb_register_driver+0xaa/0x10e
 [<ffffffffa0167000>] ? speedtch_usb_init+0x0/0x48 [speedtch]
 [<ffffffffa0167046>] speedtch_usb_init+0x46/0x48 [speedtch]
 [<ffffffff8100a05c>] do_one_initcall+0x4c/0x156
 [<ffffffff81067b17>] ? trace_hardirqs_on_caller+0x10f/0x133
 [<ffffffff81072363>] sys_init_module+0xb0/0x1c1
 [<ffffffff8101138a>] system_call_fastpath+0x16/0x1b


Code: 8b 42 08 48 39 f0 74 23 49 89 d1 49 89 c0 48 89 f1 48 c7 c2 70 50 43 81 be 1a 00 00 00 48 c7 c7 25 50 43 81 31 c0 e8 f5 4f ed ff <49> 8b 04 24 48 39 d8 74 23 49 89 c0 4d 89 e1 48 89 d9 48 c7 c2 
RIP  [<ffffffff811704cb>] __list_add+0x42/0x87
 RSP <ffff8800679ad968>
CR2: 0000000000000000



Expected results:


Additional info:
Comment 1 Bug Zapper 2008-11-25 22:11:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 02:55:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 01:25:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.